heycar: Search
Search from heycar as JSON. 1 credit per successful call.
GET /v1/heycar/search
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
page | integer | Optional | Any |
size | integer | Optional | Any |
sort | string | Optional | price-asc, price-desc, year-desc, mileage-asc, date-active-desc, relevance-desc, distance-asc |
make | string | Optional | Up to 60 characters |
model | string | Optional | Up to 100 characters |
price_min | integer | Optional | Any |
price_max | integer | Optional | Any |
mileage_max | integer | Optional | Any |
fuel_type | string | Optional | petrol, diesel, hybrid, electric |
body_type | string | Optional | suv, saloon, estate, convertible, coupe, hatchback |
gearbox | string | Optional | automatic, manual, semiauto |
lat | number | Optional | Any |
lon | number | Optional | Any |
Example request
curl "https://api.perceptlayer.com/v1/heycar/search?page=0&size=20&make=volkswagen&model=volkswagen-golf" \
-H "X-API-Key: $API_KEY"Run this endpoint in the playground with your own parameters. 1 credit per successful call; failed calls are free.